TechDraw: Vista di Arch

From FreeCAD Documentation
This page is a translated version of the page TechDraw ArchView and the translation is 100% complete.
Other languages:

TechDraw Vista di Arch

Posizione nel menu
TechDraw → Viste da altri ambienti di lavoro → Inserisci Oggetto ambiente BIM
Ambiente
TechDraw, BIM
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Arch Piano di sezione

Descrizione

Lo strumento TechDraw Vista di Arch inserisce una vista di un Piano di sezione Arch su una Pagina TechDraw.

Utilizzo

  1. Selezionare un singolo piano di sezione di Arch nella Vista 3D o nella Vista albero.
  2. Se nel documento sono presenti più pagine di disegno: facoltativamente aggiungere la pagina desiderata alla selezione selezionandola nella Vista ad albero.
  3. Esistono diversi modi per richiamare lo strumento:
    • Premere il pulsante Inserisci oggetto Ambiente BIM.
    • Selezionare l'opzione TechDraw → Viste da altri ambienti di lavoro → Inserisci oggetto Ambiente BIM dal menu.
  4. Se nel documento sono presenti più pagine di disegno e non si ha ancora selezionato una pagina, si apre la finestra di dialogo Scelta pagina: disponibile dalla versione 0.20
    1. Selezionare la pagina desiderata.
    2. Premere il pulsante OK.

Opzioni

  • La Vista di Arch è renderizzata dall'Ambiente BIM.
  • Quotature Draft, Testi Draft e qualsiasi altro oggetto 2D (Sketch o Draft) considerato dal piano di sezione viene reso "così com'è" (senza intersezioni o linee nascoste) sopra la geometria solida
  • Il volume di Arch Spazio non viene renderizzato, verrà renderizzata solo l'etichetta
  • Le linee di taglio, le linee proiettate (se la proprietà Mostra nascosto è impostata su True) e le linee 2D sopra possono essere renderizzate con larghezze di linea diverse. Questo può essere configurato nelle preferenze di Arch.
  • Vista di Arch ha due modalità di rendering:
    • Wireframe, che utilizza gli algoritmi OpenCasCade di TechDraw, è veloce e produce solo linee (non è possibile il riempimento della faccia)
    • Solido, che si basa sull'Painter's algorithm ed è in grado di rendere i volti riempiti con il colore della loro forma. Tuttavia, è molto più lento e può fallire in molte situazioni.
L'immagine seguente illustra la differenza tra le due modalità di rendering:
  • Per le Tubazioni Arch sono renderizzate solo le linee di base, ma non il volume dei tubi:

Note

La Vista di Arch viene renderizzata all'interno dell'ambiente BIM, pertanto TechDraw ha un controllo limitato sul suo aspetto. Potrebbe essere necessario apportare modifiche all'interno di Arch per ottenere la rappresentazione desiderata.

Proprietà

Vedere anche Vista TechDraw.

Dati

Arch view

  • DatiSource (Link): l'oggetto piano di sezione da visualizzare.
  • DatiAll On (Bool): se gli oggetti nascosti devono essere mostrati o meno. Se false, viene eseguito il rendering solo degli oggetti visibili nella vista 3D.
  • DatiRender Mode (Enumeration): la modalità di rendering da utilizzare, Solid o Wireframe.
  • DatiFill Spaces (Bool): Se true, gli Spazi Arch vengono visualizzati come un'area colorata.
  • DatiShow Hidden (Bool): se la geometria nascosta (la parte della geometria che si trova dietro il piano di sezione) viene mostrata o meno. Verrà visualizzato in una linea tratteggiata, che può essere configurata nelle preferenze di Arch.
  • DatiShow Fill (Bool): se le aree tagliate devono essere riempite con un colore grigio o meno.
  • Dati (Float)Line Width (Float): la larghezza delle linee principali. I rapporti delle linee di taglio e delle larghezze delle linee proiettate/2D possono essere configurati nelle preferenze di Arch.
  • DatiFont Size (Float): la dimensione di tutti i testi che appaiono in questa vista.
  • DatiCut Line Width (Float): larghezza delle linee di taglio in questa vista.
  • DatiJoin Arch (Bool): Se true, i muri e le strutture verranno fusi dal materiale.

Script

Vedere anche: Autogenerated API documentation e Script di base per FreeCAD.

Lo strumento Vista di Arch può essere utilizzato nelle macro e dalla console di Python tramite la seguente funzione:

dv = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewArch','TestArch')
dv.Source = mySectionPlane
rc = page.addView(dv)